Bug 2259333 - binutils: GAS generates incorrect R_X86_64_CODE_4_GOTPCRELX relocations
Summary: binutils: GAS generates incorrect R_X86_64_CODE_4_GOTPCRELX relocations
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 40
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-01-20 12:59 UTC by Jens Petersen
Modified: 2024-02-15 23:10 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
gmain.c.s (1.36 MB, text/plain)
2024-01-20 16:47 UTC, Florian Weimer
no flags Details

Description Jens Petersen 2024-01-20 12:59:56 UTC
Haskell linking in Fedora Rawhide seems broken on x86_64 with
binutils-2.41-27.fc40 and binutils-2.41-28.fc40
(and indeed I see from the changelog they contain Intel changes)

Reproducible: Always

Steps to Reproduce:
1. fedpkg clone -a ghc-linear
2. cd ghc-linear
3. fedpkg local
Actual Results:  
https://koji.fedoraproject.org/koji/taskinfo?taskID=112003657
https://kojipkgs.fedoraproject.org//work/tasks/6312/112006312/build.log


Expected Results:  
Build to succeed like with binutils-2.41-26.fc40

(I use "koji-tool install -R binutils-2.41-27.fc40" etc to test different versions)

Comment 1 Jens Petersen 2024-01-20 13:01:28 UTC
I think this also broke other Haskell packages in the mass rebuild.

Comment 2 Jens Petersen 2024-01-20 13:03:16 UTC
:
[22 of 22] Compiling Linear
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_thawSmallArrayzh
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol nonmoving_write_barrier_enabled
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_SMALL_MUT_ARR_PTRS_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_SMALL_MUT_ARR_PTRS_FROZEN_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Full_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_thawSmallArrayzh
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol nonmoving_write_barrier_enabled
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_SMALL_MUT_ARR_PTRS_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Full_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_thawSmallArrayzh
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_SMALL_MUT_ARR_PTRS_FROZEN_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Full_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol semigroupoidszm5zi3zi7zmEwVAefNzzd7V4YfDIPx08VG_DataziFunctorziBindziClass_liftF2_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol semigroupoidszm5zi3zi7zmEwVAefNzzd7V4YfDIPx08VG_DataziFunctorziBindziClass_zlzi_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol semigroupoidszm5zi3zi7zmEwVAefNzzd7V4YfDIPx08VG_DataziFunctorziBindziClass_zlzizg_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol semigroupoidszm5zi3zi7zmEwVAefNzzd7V4YfDIPx08VG_DataziFunctorziBindziClass_CZCApply_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziVector_zdp1Additive_info
/usr/bin/ld.gold: error: dist/build/Linear/Affine.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Algebra.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Algebra.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Algebra.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Algebra.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Algebra.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_zp_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_fromInteger_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_zt_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_zt_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_newArrayzh
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_MUT_ARR_PTRS_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol nonmoving_write_barrier_enabled
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_MUT_ARR_PTRS_FROZEN_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol vectorzm0zi13zi0zi0zmDgEUYCaCm1GEZZ2KanedKXr_DataziVector_Vector_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_sel_1_upd_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_gc_noregs
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_gc_noregs
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/Matrix.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_zt_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_fromInteger_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_DataziSemigroupziInternal_zdfMonoidProduct2_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziNum_zt_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_zdp1RealFloat_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziShow_CZCShow_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziRead_readPrec_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziReadziLex_zdfEqLexemezuzdczeze_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziParserCombinatorsziReadP_Fail_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziParserCombinatorsziReadP_Look_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziParserCombinatorsziReadP_Fail_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziRead_zdfReadZLz2cUZR3_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziParserCombinatorsziReadP_zdfApplicativePzuzdcpure_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziParserCombinatorsziReadP_run_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziRead_list_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziRead_zdfReadZLZR3_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_TextziParserCombinatorsziReadP_zdfApplicativePzuzdcpure_closure
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziRead_list_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziReal_zs_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziEpsilon_CZCEpsilon_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziV3_V3_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziReal_CZCFractional_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Dzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_d1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Fzh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_f1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_zdp2RealFloat_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_sqrt_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_acos_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_log_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_zdp1RealFloat_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_isNaN_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_log_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_isInfinite_info
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Quaternion.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Trace.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Trace.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Trace.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol semigroupoidszm5zi3zi7zmEwVAefNzzd7V4YfDIPx08VG_DataziFunctorziBindziClass_zlzizg_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol semigroupoidszm5zi3zi7zmEwVAefNzzd7V4YfDIPx08VG_DataziFunctorziBindziClass_zdp1Apply_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol base_GHCziBase_fmap_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_exp_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_pi_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_zdp1Floating_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol base_GHCziFloat_zdp1Floating_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTuple_Z0T_closure
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unbx_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol vectorzm0zi13zi0zi0zmDgEUYCaCm1GEZZ2KanedKXr_DataziVectorziUnboxedziBase_zdp2Unbox_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pv_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol vectorzm0zi13zi0zi0zmDgEUYCaCm1GEZZ2KanedKXr_DataziVectorziGenericziMutableziBase_basicUnsafeNew_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol vectorzm0zi13zi0zi0zmDgEUYCaCm1GEZZ2KanedKXr_DataziVectorziUnboxedziBase_zdp2Unbox_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_ppp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol base_DataziData_CZCData_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTuple_Z2T_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTuple_Z2T_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unbx_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V2.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTuple_Z2T_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTuple_Z2T_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTuple_Z2T_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_ppp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol base_ForeignziStorable_sizzeOf_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziTypes_Izh_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol base_GHCziPtr_Ptr_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_INTLIKE_closure
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pppv_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_AppE_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_lift_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_AppE_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_lift_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_AppE_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_lift_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_AppE_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_p_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol templatezmhaskell_LanguageziHaskellziTHziSyntax_CZCLift_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_ap_0_fast
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol base_GHCziGenerics_ZCztZC_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol base_GHCziGenerics_ZCztZC_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol base_GHCziGenerics_ZCztZC_con_info
/usr/bin/ld.gold: error: dist/build/Linear/V4.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol ghczmprim_GHCziClasses_zeze_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Leaf_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_zdwupdateOrSnocWithKey_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Leaf_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Leaf_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_gc_unpt_r1
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol unorderedzmcontainerszm0zi2zi19zi1zmKblUXVJ0SvRCcK89PoBx7E_DataziHashMapziInternal_Leaf_con_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_newSmallArrayzh
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_gc_unbx_r1
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_SMALL_MUT_ARR_PTRS_DIRTY_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_upd_frame_info
/usr/bin/ld.gold: error: dist/build/Linear/Vector.dyn_o: unsupported reloc 43 against global symbol stg_ap_pp_fast
dist/build/Linear/Affine.dyn_o(.text+0x894c): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x897f): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8991): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x899b): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x89a5): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8a06): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8a44): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8a77): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8a89): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8a9d): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8af8): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8b34): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8b83): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x8b8d): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x1072c): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x10742): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x1076c): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x10782): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x107ac): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x107ec): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x10802): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x1082c): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziAffine_zdfApplyPoint_info:(.text+0x108dd): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x1095c): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x10a0a): error: unsupported reloc 43
dist/build/Linear/Affine.dyn_o(.text+0x10a8c): error: unsupported reloc 43
dist/build/Linear/Algebra.dyn_o(.text+0x3fb4): error: unsupported reloc 43
dist/build/Linear/Algebra.dyn_o(.text+0x4051): error: unsupported reloc 43
dist/build/Linear/Algebra.dyn_o(.text+0x4091): error: unsupported reloc 43
dist/build/Linear/Algebra.dyn_o(.text+0x40de): error: unsupported reloc 43
dist/build/Linear/Algebra.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziAlgebra_zdwzdccounital_info:(.text+0x4155): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x3f14): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x3f32): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x3fb5): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x4024): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x4054): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x4072): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x409c): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x40ba): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x915c): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x916f): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x918d): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x91b4): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x91c7): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x91e0): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x9215): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x927e): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x92c7): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x9304): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x11e64): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x11e7a): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x11ea4): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x11f10): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x11f5b): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x12032): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x12094): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x120a6): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x120b0): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x12169): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x121ba): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x12210): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x122f2): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x12326): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x1234c): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x123a1): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x124a2): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x124d6): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x12596): error: unsupported reloc 43
dist/build/Linear/Matrix.dyn_o(.text+0x125b6): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfAdditiveQuaternionzuzdczczmzc_info:(.text+0x379c): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfAdditiveQuaternionzuzdczczmzc_info:(.text+0x37d0): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfAdditiveQuaternionzuzdczczmzc_info:(.text+0x380c): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfAdditiveQuaternionzuzdczczmzc_info:(.text+0x3847): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfAdditiveQuaternionzuzdczczmzc_info:(.text+0x3887): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x3927): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x3940): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x39a5): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion2_info:(.text+0x7af7): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion2_info:(.text+0x7b2f): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7bca): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7bd5): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7c3d): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7c71): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7ca7): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7cdf): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFoldableQuaternion1_info:(.text+0x7d09): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip1_info:(.text+0x10738): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip1_info:(.text+0x10786): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip1_info:(.text+0x107a8): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip1_info:(.text+0x107ca): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip1_info:(.text+0x1082a): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip_info:(.text+0x108c8): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip_info:(.text+0x10917): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip_info:(.text+0x1095d): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdcrecip_info:(.text+0x109bd): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10aad): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10b99): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10bd0): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10c04): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10c8d): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10c9e): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10cdf): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10d18): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10d54): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternionzuzdcrecip_info:(.text+0x10db9): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfShowQuaternion_info:(.text+0x20933): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20994): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20a01): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20a62): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20ae0): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20aeb): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20b08): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20b61): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20b9a): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20bd9): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20d4d): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20d72): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20d92): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfReadQuaternion1_info:(.text+0x20dd4): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20e0c): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20e1b): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfReadQuaternionzuzdcreadsPrec_info:(.text+0x20e7a): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfReadQuaternionzuzdcreadsPrec_info:(.text+0x20e84): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfReadQuaternionzuzdcreadListPrec_info:(.text+0x20f04): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20f71): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20f99): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20fa4): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20fb2): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x20fc3): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfReadQuaternionzuzdcreadList_info:(.text+0x2101f): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x2105c): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o(.text+0x210c4): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48984): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x489bb): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48a2f): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48a68): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48aa0): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48b00): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48b11): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48bb8): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48bf7): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_slerp_info:(.text+0x48c61): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfEpsilonQuaternion_info:(.text+0x48d28): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfConjugateQuaternion_info:(.text+0x48e57): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_rotatezuzdsrotate_info:(.text+0x48f4f): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_rotatezuzdsrotate_info:(.text+0x490ab): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_rotatezuzdsrotate_info:(.text+0x490f2): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_rotatezuzdsrotate_info:(.text+0x49127): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_rotatezuzdsrotate_info:(.text+0x49166): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFractionalQuaternion_info:(.text+0x492b8): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x494a9): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x4951e): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x49677): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x4969e): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x497ca): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x497f4): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x49846): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x49870): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x498dc): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x498f3): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x49906): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x49962): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p_info:(.text+0x49a0e): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x49c60): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x49cd4): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x49e53): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x49e8d): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x49f90): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x49fa3): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x4a01f): error: unsupported reloc 43
dist/build/Linear/Quaternion.dyn_o:function linearzm1zi22zm2INZZOSVkR06IDmMKWeXTee_LinearziQuaternion_zdfFloatingQuaternionzuzdszdclog1p1_info:(.text+0x4a0a0): error: unsupported reloc 43
:
(Truncated)

Comment 3 Jens Petersen 2024-01-20 13:14:40 UTC
(Maybe I should also move away from ld.gold for ghc?)

Comment 4 Jakub Jelinek 2024-01-20 15:01:30 UTC
Clearly ld.gold doesn't have R_X86_64_CODE_4_GOTPCRELX relocation support (which was added with APX support to gas and ld.bfd).
The more important question is what kind of code you're compiling that it needs these relocations.

Because, when I try say
static int a;
int b;
int *foo (void) { register int *p asm ("r26") = &a; asm ("" : "+r" (p)); return p; }
int *bar (void) { return &b; }
int *baz (void) { return &a; }
int *qux (void) { register int *p asm ("r26") = &b; asm ("" : "+r" (p)); return p; }
gcc -c -o a.o a.c -fpic -mapxf -O2 -mapx-inline-asm-use-gpr32
it correctly uses the new relocation only when it should, i.e. in the qux routine:
0000000000000004  0000000300000002 R_X86_64_PC32          0000000000000000 .bss + 0
0000000000000013  000000080000002a R_X86_64_REX_GOTPCRELX 0000000000000000 b - 4
0000000000000023  0000000300000002 R_X86_64_PC32          0000000000000000 .bss + 0
0000000000000034  000000080000002b R_X86_64_CODE_4_GOTPCRELX 0000000000000000 b - 4
And then expectedly it only works with ld.bfd and not with ld.gold (dunno if ld.lld or ld.mold do support these APX relocations):
gcc -shared -o a.so a.o
gcc -shared -o a.so a.o -fuse-ld=gold
/usr/bin/ld.gold: error: a.o: unsupported reloc 43 against global symbol b
a.o:a.c:function qux:(.text+0x34): error: unsupported reloc 43
collect2: error: ld returned 1 exit status

But I'm surprised ghc would so frequently emit code which will only work on so far only announced instruction set which I believe none of the existing CPUs support.

Comment 5 Jens Petersen 2024-01-20 15:44:31 UTC
Another example is cabal-install:
https://koji.fedoraproject.org/koji/taskinfo?taskID=112042495

Comment 6 Jens Petersen 2024-01-20 15:48:20 UTC
Thanks Jakub, perhaps I can try to rebuild ghc with/to use ld.bfd or persuade packages to use it, and see if it helps.
Help is certainly welcome though. :-)

I think only half or less of Fedora Haskell packages seem to be affected - I don't see a pattern or know the answer to your question.

Comment 7 Florian Weimer 2024-01-20 15:58:37 UTC
(In reply to Jakub Jelinek from comment #4)
> But I'm surprised ghc would so frequently emit code which will only work on
> so far only announced instruction set which I believe none of the existing
> CPUs support.

We have reports of crashes, so I suspect GAS is incorrectly creating REX2-prefixed instructions. If they end up with the new relocations, that would at least be consistent.

The gold commits that could be backported are:

commit 4a54cb06585f568031dfd291d0fe45979ad75e98
Author: H.J. Lu <hjl.tools>
Date:   Thu Jun 8 12:12:48 2023 -0700

    gold: Handle R_X86_64_CODE_4_GOTPCRELX

commit 00a17c6ad068c95019e1f37cfc2d1b8aaebd6ecb
Author: H.J. Lu <hjl.tools>
Date:   Sun Jul 2 07:46:21 2023 -0700

    Gold: Handle R_X86_64_CODE_4_GOTPC32_TLSDESC/R_X86_64_CODE_4_GOTTPOFF

But I suspect this is just a symptom, we need to figure out why we have these relocations in the first place.

Comment 8 Florian Weimer 2024-01-20 16:25:56 UTC
Rebuilding glib2-2.79.0-7.fc40 produces a file

/builddir/build/BUILD/glib-2.79.0/redhat-linux-build/glib/libglib-2.0.so.0.7900.0.p/gmain.c.o

which contains:

0000000000000ec0 <g_source_unref_internal>:
[…]
     fd8:       48 8b 35 00 00 00 00    mov    0x0(%rip),%rsi        # fdf <g_source_unref_internal+0x11f>
                        fdb: R_X86_64_CODE_4_GOTPCRELX  g_free-0x4

This doesn't look right, the relocation offset (0xfdb - 0xfd8) is 3 here, not 4. Due to LTO, it's not clear how this relates to the final link, though.

Without LTO, I see in the same object file:

0000000000003f50 <g_main_context_prepare_unlocked>:
[…]
    4188:       48 8b 05 00 00 00 00    mov    0x0(%rip),%rax        # 418f <g_m
ain_context_prepare_unlocked+0x23f>
                        418b: R_X86_64_CODE_4_GOTPCRELX sysprof_clock-0x4

And it looks like this has been garbled in 

000000000005cd40 <g_main_context_prepare_unlocked>:
[…]
   5cf78:       48 8b 05 21 d0 0e 00    mov    0xed021(%rip),%rax        # 149fa0 <_GLOBAL_OFFSET_TABLE_+0x890>

And the program crashes when it tries to load through the pointer obtained from the GOT:

   0x00007ffff7ed1f75 <+565>:	mov    %rax,%r9
=> 0x00007ffff7ed1f78 <+568>:	mov    0xed021(%rip),%rax        # 0x7ffff7fbefa
0
   0x00007ffff7ed1f7f <+575>:	mov    -0xb0(%rbp),%rsi
   0x00007ffff7ed1f86 <+582>:	mov    %r11d,-0xbc(%rbp)
   0x00007ffff7ed1f8d <+589>:	mov    %r9,-0xb8(%rbp)
   0x00007ffff7ed1f94 <+596>:	mov    (%rax),%edi

(gdb) si
0x00007ffff7ed1f7f	88	  clock_gettime (clock, &ts);
(gdb) print/x $rax
$3 = 0x14a5f4
(gdb) si
0x00007ffff7ed1f86	88	  clock_gettime (clock, &ts);
(gdb) 
0x00007ffff7ed1f8d	88	  clock_gettime (clock, &ts);
(gdb) 
80	  SysprofClock clock = sysprof_clock;
(gdb) print clock
$4 = <optimized out>
(gdb) si

Program received signal SIGSEGV, Segmentation fault.
sysprof_clock_get_current_time () at /usr/include/sysprof-6/sysprof-clock.h:80
80	  SysprofClock clock = sysprof_clock;

Comment 9 Florian Weimer 2024-01-20 16:26:38 UTC
Forgot to mention, the fully linked object is: /builddir/build/BUILD/glib-2.79.0/redhat-linux-build/glib/libglib-2.0.so.0

The last disassembly is from it.

Comment 10 Jakub Jelinek 2024-01-20 16:33:47 UTC
Would be nice to use -save-temps without LTO, so we know what is actually being assembled when it emits the relocation which shouldn't be present.

Comment 11 Florian Weimer 2024-01-20 16:46:57 UTC
Looks like my attempt to disable LTO wasn't fully effective at first, but a clean build completely without LTO still crashes in the same place.

The instructions look very regular to me:

# grep sysprof_clock /builddir/build/BUILD/glib-2.79.0/redhat-linux-build/glib/libglib-2.0.so.0.7900.0.p/gmain.c.s
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	movq	sysprof_clock@GOTPCREL(%rip), %rax
	.string	"sysprof_clock"
	.string	"sysprof_clock_get_current_time"

Comment 12 Florian Weimer 2024-01-20 16:47:39 UTC
Created attachment 2009472 [details]
gmain.c.s

Comment 13 Florian Weimer 2024-01-20 16:48:59 UTC
(Assembling the attached file reproduces the issue.)

Comment 14 Jens Petersen 2024-01-20 17:14:12 UTC
Also affects the ghc9.0 build
https://koji.fedoraproject.org/koji/taskinfo?taskID=112041527

Comment 15 Julian Sikorski 2024-01-20 18:35:28 UTC
AusweisApp2 is also affected: https://koji.fedoraproject.org/koji/taskinfo?taskID=112033714

Comment 16 Jakub Jelinek 2024-01-20 19:45:04 UTC
My bet is that https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=eed38d8a02b277825a682d8d1daeb0bcc4508b04 needs backporting to rawhide binutils.

Comment 17 Jakub Jelinek 2024-01-20 20:37:01 UTC
I've verified https://koji.fedoraproject.org/koji/taskinfo?taskID=112054633 assembles https://bugzilla.redhat.com/show_bug.cgi?id=2259333#c12 correctly while binutils-2.41-28.fc40.x86_64 did not.

Comment 18 Jens Petersen 2024-01-21 13:39:45 UTC
Thank you!

I can also confirm that Jakub's binutils-2.41-29.fc40.x86_64 fixes the linking of cabal-install and ghc-linear for example.
Also haven't seen more of these mass rebuild failures since -29 went in, I _think_: for example pandoc succeeded.

Comment 19 Julian Sikorski 2024-01-21 15:38:47 UTC
AusweisApp2 built successfully as well.

Comment 20 Aoife Moloney 2024-02-15 23:10:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.


Note You need to log in before you can comment on or make changes to this bug.